System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DbParameterCollection System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBParametersEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.ListBindable(false)

If the command contains an ad hoc SQL statement, as opposed to a stored-procedure name, the number of the parameters in the collection must be equal to the number of parameter placeholders within the command text, or SQL Server raises an error. With a stored procedure, all the parameters declared in the stored procedure without a default value must be provided. Parameters declared with a default value are optional. This lets you specify a value other than the default.

For more information with additional sample code demonstrating how to use parameters, see Commands and Parameters (ADO.NET).

Represents a collection of parameters associated with a and their respective mappings to columns in a . This class cannot be inherited.

- Method
  System.Data.SqlClient.SqlParameter `` To be added

  Adds the specified object to the .

  A new object.

  The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Adds the specified object to the .

  The index of the new object.

  An . 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Data.SqlClient.SqlParameter `` `` To be added

  Adds a to the given the parameter name and the data type.

  A new object.

  The name of the parameter. One of the values. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlClient.SqlParameter `` `` To be added

  Adds the specified object to the .

  A new object.

  Use caution when you are using this overload of the SqlParameterCollection.Add method to specify integer parameter values. Because this overload takes a of type , you must convert the integral value to an type when the value is zero, as the following C# example demonstrates.

  `parameters.Add("@pname", Convert.ToInt32(0));`

  If you do not perform this conversion, the compiler assumes that you are trying to call the SqlParameterCollection.Add (string, SqlDbType) overload.

  The name of the to add to the collection. A . 1.0.5000.0 2.0.0.0 System.Obsolete("Do not call this method.") System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Data.SqlClient.SqlParameter `` `` ``

  This overload is useful when you are adding a parameter of a variable-length data type such as varchar or binary.

  Adds a to the , given the specified parameter name, and size.

  A new object.

  The name of the parameter. The of the to add to the collection. The size as an . 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlClient.SqlParameter `` `` `` `` To be added

  Adds a to the with the parameter name, the data type, and the column length.

  A new object.

  The name of the parameter. One of the values. The column length. The name of the source column () if this is used in a call to . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Adds an array of values to the end of the .

  The values to add.
- Method
  2.0.0.0
  System.Void `` To be added.

  Adds an array of values to the end of the .

  The values to add.
- Method
  2.0.0.0
  System.Data.SqlClient.SqlParameter `` ``

  replaces the SqlParameterCollection.Add method that takes a and an . The overload of Add that takes a string and an object was deprecated because of possible ambiguity with the SqlParameterCollection.Add overload that takes a and a enumeration value where passing an integer with the string could be interpreted as being either the parameter value or the corresponding value. Use whenever you want to add a parameter by specifying its name and value.

  For Xml enumeration values, you can use a string, an XML value, an derived type instance, or a object.

  Adds a value to the end of the .

  A object.

  The name of the parameter. The value to be added. Use instead of null, to indicate a null value.
- Method
  System.Void To be added

  Removes all the objects from the .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified is in this .

  true if the contains the value; otherwise false.

  The value.
- Method
  System.Boolean `` To be added

  Determines whether the specified is in this .

  true if the contains the value; otherwise false.

  The value. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the specified parameter name is in this .

  true if the contains the value; otherwise false.

  The value. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies all the elements of the current to the specified one-dimensional starting at the specified destination index.

  The one-dimensional that is the destination of the elements copied from the current . A 32-bit integer that represents the index in the at which copying starts. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies all the elements of the current to the specified starting at the specified destination index.

  The that is the destination of the elements copied from the current . A 32-bit integer that represents the index in the at which copying starts.
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Returns an Integer that contains the number of elements in the . Read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator To be added

  Returns an enumerator that iterates through the .

  An for the .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.Common.DbParameter `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.Common.DbParameter `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Gets the location of the specified within the collection.

  The zero-based location of the specified that is a within the collection. Returns -1 when the object does not exist in the .

  The to find.
- Method
  System.Int32 `` To be added

  Gets the location of the specified within the collection.

  The zero-based location of the specified that is a within the collection. Returns -1 when the object does not exist in the .

  The to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the specified with the specified name.

  The zero-based location of the specified with the specified case-sensitive name. Returns -1 when the object does not exist in the .

  The case-sensitive name of the to find. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Inserts a object into the at the specified index.

  The zero-based index at which value should be inserted. A object to be inserted in the .
- Method
  System.Void `` `` To be added

  Inserts an into the at the specified index.

  The zero-based index at which value should be inserted. An to be inserted in the . 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the has a fixed size.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the is read-only.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the is synchronized.

- Property
  System.Data.SqlClient.SqlParameter `` To be added: an object of type 'int' To be added To be added: an object of type 'SqlParameter' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Data.SqlClient.SqlParameter `` To be added: an object of type 'string' To be added To be added: an object of type 'SqlParameter' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Method
  2.0.0.0
  System.Void `` To be added.

  Removes the specified from the collection.

  A object to remove from the collection.
- Method
  System.Void `` To be added

  Removes the specified from the collection.

  The object to remove from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the from the at the specified index.

  The zero-based index of the object to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the from the at the specified parameter name.

  The name of the to remove. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the .

- Property
  1.0.5000.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the collection is synchronized.

- Property
  1.0.5000.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the collection.

- Property
  1.0.5000.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the collection has a fixed size.

- Property
  1.0.5000.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the collection is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.